Skip to main content

Get all hierarchies

GET 

/pcm/hierarchies

Get all hierarchies

Pagination

This endpoint supports offset-based pagination using page[offset] and page[limit] query parameters.

Planned pagination changes — on or after 1 June 2026

The pagination links returned by this endpoint currently differ from the Elastic Path Commerce Cloud platform standard. Specifically, the current link is not returned, first/last are not always present, prev is incorrectly omitted on the second page, and next is incorrectly omitted on the second-to-last page.

On or after 1 June 2026, this endpoint will be updated so that current and first are always present, last is present on every page except the final page, next is present on every page except the last, and prev is present on every page except the first. See the links schema for full details.

If your integration iterates through pages using these links, please verify that it will handle the updated behaviour correctly before this date.

Filtering

Many Commerce API endpoints support filtering. The general syntax is described in Filtering.

The following attributes and operators are supported.

OperatorAttributeDescriptionExample
eqid, hierarchy_id, owner, parent_id, name, slug, description, has_children, created_at, updated_at, locales.[locale].name, locales.[locale].description, breadcrumbs.id, breadcrumbs.name, breadcrumbs.slug, breadcrumbs.locales.[locale].nameEquals. Checks if the value of the attribute matches the specified value.filter=eq(name,some-name), filter=eq(locales.fr-FR.name,Nom-du-produit)
inid, hierarchy_id, parent_id, breadcrumbs.idChecks if the value of the attribute is included in the specified list.filter=in(id,1,2,3,4)
lt, le, gt, geid, hierarchy_id, parent_id, created_at, updated_atComparison operators. lt: Less than, le: Less than or equal to, gt: Greater than, ge: Greater than or equal to.filter=lt(id,100), filter=ge(created_at,2022-01-01)
likename, slug, description, locales.[locale].name, locales.[locale].description, breadcrumbs.name, breadcrumbs.slug, breadcrumbs.locales.[locale].nameLike. Checks if the attribute contains the specified string (wildcards supported).filter=like(name,*some-name*), filter=like(locales.es-ES.description,*descripción*)

Request

Responses

Returns a list of all hierarchies.

Ask External AI